Query
query QueryMarketplaceOffer {
QueryMarketplaceOffer {
pageInfo {
hasNextPage
hasPreviousPage
startCursor
endCursor
}
edges {
cursor
node {
offerId
itemId
sku
productNumber
offerTitle
channelName
}
}
nodes {
offerId
itemId
sku
productNumber
offerTitle
channelName
}
totalCount
}
}Response
{
"data": {
"QueryMarketplaceOffer": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"endCursor": "string"
},
"edges": [
{
"cursor": "string",
"node": {
"offerId": "id",
"itemId": "id",
"sku": "string",
"productNumber": "string",
"offerTitle": "string",
"channelName": "string"
}
}
],
"nodes": [
{
"offerId": "id",
"itemId": "id",
"sku": "string",
"productNumber": "string",
"offerTitle": "string",
"channelName": "string"
}
],
"totalCount": 1
}
}
}Queries
QueryMarketplaceOffer
Delivers a queryable list of marketplace offers. Deprecated: use “GET /v2/scx/offers” or “QueryScxOffers” instead, which require the “scxoffers.read” scope.
QUERY
deprecated
QueryMarketplaceOffer(first: Int, after: String, last: Int, before: String, where: MarketplaceOfferListItemFilterInput, order: [MarketplaceOfferListItemSortInput!]): QueryMarketplaceOfferConnectionThis endpoint is deprecated.
Arguments
first
Int
Returns the first n elements from the list.
after
String
Returns the elements in the list that come after the specified cursor.
last
Int
Returns the last n elements from the list.
before
String
Returns the elements in the list that come before the specified cursor.
pageInfo
Information to aid in pagination.
edges
A list of edges.
nodes
A flattened list of the nodes.
totalCount
Int!
Identifies the total count of items in the connection.
Query
query QueryMarketplaceOffer {
QueryMarketplaceOffer {
pageInfo {
hasNextPage
hasPreviousPage
startCursor
endCursor
}
edges {
cursor
node {
offerId
itemId
sku
productNumber
offerTitle
channelName
}
}
nodes {
offerId
itemId
sku
productNumber
offerTitle
channelName
}
totalCount
}
}Response
{
"data": {
"QueryMarketplaceOffer": {
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"endCursor": "string"
},
"edges": [
{
"cursor": "string",
"node": {
"offerId": "id",
"itemId": "id",
"sku": "string",
"productNumber": "string",
"offerTitle": "string",
"channelName": "string"
}
}
],
"nodes": [
{
"offerId": "id",
"itemId": "id",
"sku": "string",
"productNumber": "string",
"offerTitle": "string",
"channelName": "string"
}
],
"totalCount": 1
}
}
}Was this page helpful?